Retrieves all the article stock location lists

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_stock_location_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location

globally unique identifier

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location_reference_back_office

string

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location

Embedded entity "article_stock_location" using ERP PK when adding/updating

article_stock_location

Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

quantity

Quantity in stock for this article, for this stock

integer

Required

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sys_computed_eco_stock

Quantity in stock computed for the article after all stock movements (Read-only)

decimal number
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6a5b20d8-e4a5-4896-a448-54ce54b0a37f",
  "article_stock_location_id": "72780d22-1a03-4cc0-9e34-698e1c303ff5",
  "article_stock_location_reference_back_office": "sample string 3",
  "article_id": "972dd209-0887-4e7a-a3ea-713c8e8a9d20",
  "article_code": "sample string 5",
  "quantity": 6,
  "reference_back_office": "sample string 7",
  "sys_computed_eco_stock": 8.0,
  "modified_dateutc": "2026-05-25T00:55:38.9975715+00:00"
}